# Obsidian

## Basic Information

- **Name**: Obsidian
- **Level**: [Artificer](https://dnd5e.wikidot.com/artificer) 7
- **Race**: [Nightwing](../../TheVault/Race/WingsOfFire/Nightwing.md)
- **Alignment**: Neutral
- **Background**: Undefined

## Appearance

<!-- 
Describe the character’s appearance. Include details on specific armor, 
physical traits, or distinguishing features. This section should paint 
a vivid picture of the character's look and feel.
-->

[Brief description of character’s appearance]

<!-- 
Optional: Add an image by replacing 'image.jpg' with your file path.
Example:
![Character Image](image.jpg) 
-->

## Personality Traits

- **Trait 1**: [Description of personality trait]
- **Trait 2**: [Description of personality trait]

## Brewed Traits

- **[Trait Name](URL to trait)**: [Trait description, if applicable]

## Racial Traits

**Ability Score Increase:**  

- Your Strength score decreases by 3.
- Your Constitution score decreases by 3.
- Your Intelligence score increases by 4.  
- Your Wisdom score increases by 3.  
- Your Charisma score increases by 3.

- **Size**: Large

**Speed:**  

- Walking speed: 30 feet.  
- Flying speed: 60 feet.  

- **Racial Abilities**:
  - **Claws:**  
  Your claws deal 2d6 + your Strength modifier slashing damage. You are proficient with your claws.  
  - **Diseased Bite:**  
  Your bite deals 2d8 + your Strength modifier piercing damage. You are proficient with your bite. Once per turn, your bite can infect a creature with sewer plague. NightWings are immune to this disease.
  - **Darkvision and Blindsight:**  
  You have darkvision out to 30 feet and blindsight out to 15 feet.
  - **Fire Resistance:**  
  You have resistance to fire damage.
  - **Breath Weapon (Recharge 6):**  
  You can exhale fire in a 40-by-10-foot line. Creatures in the area must make a Dexterity saving throw (DC = 8 + your proficiency bonus + your Intelligence or Constitution modifier). On a failed save, they take 2d4 fire damage, or half as much on a success. This damage increases at levels 5 (4d4), 11 (6d4), and 20 (8d4).
  - **Scholarly Research:**  
  You are proficient in Arcana and History, and your proficiency bonus is doubled for both.

- **Languages:**
  You can speak, read, and write Draconic and Scholar.
  - Scholar uses complex technical jargon, making it incomprehensible to those unfamiliar with academic terminology. Conveying complex ideas takes half the time, but casual conversation takes four times as long.

## Ability Scores

| Ability          | Base | Total | Bonus              |
|------------------|------|-------|--------------------|
| **Strength**     |  15  | **12**  | `-3 (racial)` |
| **Dexterity**    |  15  | **15**  | `+0 (racial)` |
| **Constitution** |  20  | **17**  | `-3 (racial)` |
| **Intelligence** |  20  | **24**  | `+4 (racial)` |
| **Wisdom**       |  10  | **13**  | `+3 (racial)` |
| **Charisma**     |  10  | **13**  | `+3 (racial)` |

<!-- 
Fill out each row with the character’s base stats, total (after racial 
and class bonuses), and any bonuses from items or features.
-->

### Hit Points

- **Hit Points by Level**:  
  - Level 1: 8
  - Level 2: 13
  - Level 3: 18
  - Level 4: 23
  - Level 5: 28
  - Level 6: 33
  - Level 7: 38
- **Total Hit Points**: 38
- **Hit Dice**: 7d8

## Features

### Class-Specific Features

#### 1st-level

- [**Magical Tinkering**](https://dnd5e.wikidot.com/artificer): Allows you to imbue small objects with magical properties.

#### 3rd-level Alchemist

- [**Alchemist Spells**](https://dnd5e.wikidot.com/artificer:alchemist): You always have certain spells prepared:

    |  Level  | Spell |
    |:-------:|-------|
    |   3rd   | [Healing Word](https://dnd5e.wikidot.com/spell:healing-word), [Ray of Sickness](https://dnd5e.wikidot.com/spell:ray-of-sickness) |
    |   5th   | [Flaming Sphere](https://dnd5e.wikidot.com/spell:flaming-sphere), [Melf’s Acid Arrow](https://dnd5e.wikidot.com/spell:melfs-acid-arrow) |
    |   9th   | [Gaseous Form](https://dnd5e.wikidot.com/spell:gaseous-form), [Mass Healing Word](https://dnd5e.wikidot.com/spell:mass-healing-word) |
    |  13th   | [Blight](https://dnd5e.wikidot.com/spell:blight), [Death Ward](https://dnd5e.wikidot.com/spell:death-ward) |
    |  17th   | [Cloudkill](https://dnd5e.wikidot.com/spell:cloudkill), [Raise Dead](https://dnd5e.wikidot.com/spell:raise-dead) |

- [**Experimental Elixir**](https://dnd5e.wikidot.com/artificer:alchemist):
  At the end of a long rest, you can create a magical elixir in an empty flask you touch. Roll on the table below to determine its effect. The elixir is consumed as an action and lasts until drunk or until your next long rest.  
  
  You can also create additional elixirs by expending a 1st-level or higher spell slot, choosing the effect instead of rolling. At 6th level, you create two elixirs per long rest, and at 15th level, you create three. Each elixir requires a separate flask.  

  | d6 |       Effect       |      |
  |:--:|-------------------:|------|
  | 1  | **Healing**        | Restores 2d4 + your Intelligence modifier HP. |
  | 2  | **Swiftness**      | Increases walking speed by 10 ft. for 1 hour. |
  | 3  | **Resilience**     | Grants +1 AC for 10 minutes. |
  | 4  | **Boldness**       | Adds 1d4 to all attack rolls and saving throws for 1 minute. |
  | 5  | **Flight**         | Grants a additional 10 ft. flying speed for 10 minutes. |
  | 6  | **Transformation** | Functions as *Alter Self* for 10 minutes. |

### 5th-level Alchemist

- [**Alchemical Savant**](https://dnd5e.wikidot.com/artificer)
  Your mastery of magical chemicals enhances your spells. When casting a spell using alchemist’s supplies as your focus, you add your Intelligence modifier (minimum +1) to one healing roll or one damage roll if it deals acid, fire, necrotic, or poison damage.

### 6th-level

- [**Tool Expertise**](https://dnd5e.wikidot.com/artificer)
  Your proficiency bonus is doubled for any ability check you make that uses your proficiency with a tool.

### 7th-level

- [**Flash of Genius**](https://dnd5e.wikidot.com/artificer)
  When you or another creature you can see within 30 feet of you makes an ability check or saving throw, you can use your reaction to add your Intelligence modifier to the roll.

  You can use this feature a number of times equal to your Intelligence modifier (minimum of once). You regain all expended uses when you finish a long rest
<!-- 
List key class-specific features here. Be concise but cover the main 
mechanics and effects.
-->

## Proficiencies & Skills

- **Proficiencies**:
  - **Skills**: Investigation, Sleight of Hand
  - **Armor**: Light armor, medium armor, shields
  - **Weapons**: Simple weapons
  - **Tools**: Thieves' tools, Tinker’s tools, Alchemist Supplies
  - **Saving Throws**: Constitution, Intelligence

<!-- 
Describe the character’s fighting style and proficiencies in skills, 
tools, armor, and weapons. Only list skills they're proficient in.
-->

---

## Level Progression

### Level 1

- **Proficiencies**: Investigation, Sleight of Hand, Alchemist Supplies

### Level 2

- **Infusions**:
  - Returning Weapon
  - To Be Decided
  - To Be Decided
  - To Be Decided

### Level 3

- **Artificer Specialist**:
  - [Alchemist](https://dnd5e.wikidot.com/artificer:alchemist)

- **Tool Proficiency**
  - Brewer's Supplies

### Level 4

- **Ability Score Improvement:**
  - **Chosen Increase:** Dexterity +1, Constitution +1

### Level 6

- **Infusions**:
  - To Be Decided
  - To Be Decided
