# **Class Name: Overseer**

> [***Vaults of Resonance Content***](../Readme.md)

The **Overseer** is a tactical commander specializing in leading semi-autonomous constructs called **Control Units** in battle. They use their expertise to manage and enhance their units, creating a flexible and adaptive force on the battlefield.

---

## **Class Features**

### **Hit Points**

- **Hit Dice:** 1d8 per Overseer level
- **Hit Points at 1st Level:** 8 + your Constitution modifier
- **Hit Points at Higher Levels:** 1d8 (or 5) + your Constitution modifier per Overseer level after 1st

### **Proficiencies**

- **Armor:** Light armor, medium armor
- **Weapons:** Simple weapons, martial weapons
- **Tools:** Tinker’s tools
- **Saving Throws:** Intelligence, Constitution
- **Skills:** Choose two from Arcana, History, Insight, Investigation, Perception, or Survival

### **Starting Equipment**

- (a) A martial weapon and a shield or (b) two simple weapons
- (a) Scale mail or (b) leather armor
- (a) A scholar's pack or (b) an explorer's pack
- Tinker’s tools

---

### **Class Table: The Overseer**

| Level | Proficiency Bonus | Features                          | Units Controlled  | Command Points |  
|-------|--------------------|-----------------------------------|-------------------|-----------------|  
| 1     | +2                 | Tactical Network, Constructed Ally | 1 (Constructed Ally) | 2               |  
| 2     | +2                 | Command Maneuvers, Unit Upgrades  | 1                 | 3               |  
| 3     | +2                 | Overseer Archetype                | 2                 | 4               |  
| 4     | +2                 | Ability Score Improvement         | 2                 | 5               |  
| 5     | +3                 | Efficient Directives              | 2                 | 6               |  
| 6     | +3                 | Improved Upgrades                 | 2                 | 7               |  
| 7     | +3                 | Tactical Dominance                | 3                 | 8               |  
| 8     | +3                 | Ability Score Improvement         | 3                 | 9               |  
| 9     | +4                 | Enhanced Network                  | 3                 | 10              |  
| 10    | +4                 | Archetype Feature                 | 3                 | 11              |  
| 11    | +4                 | Overclock                         | 4                 | 12              |  
| 12    | +4                 | Ability Score Improvement         | 4                 | 13              |  
| 13    | +5                 | Multi-Unit Maneuvers              | 4                 | 14              |  
| 14    | +5                 | Archetype Feature                 | 4                 | 15              |  
| 15    | +5                 | Master Strategist                 | 5                 | 16              |  
| 16    | +5                 | Ability Score Improvement         | 5                 | 17              |  
| 17    | +6                 | Supreme Upgrades                  | 5                 | 18              |  
| 18    | +6                 | Archetype Feature                 | 5                 | 19              |  
| 19    | +6                 | Ability Score Improvement         | 6                 | 20              |  
| 20    | +6                 | Command Perfection                | 6                 | 21              |  

---

### **Core Mechanics**

#### **Tactical Network (1st Level)**

You establish a mental link with your **Constructed Ally**, enabling seamless coordination. Your ally acts on your turn, taking actions based on your commands. The ally defaults to a defensive stance (Dodge) if no command is issued.

- **Range:** 30 feet
- **Commands:** Commands cost **Command Points** to execute.

---

#### **Constructed Ally (1st Level)**

At 1st level, you gain a Constructed Ally, a semi-autonomous construct that serves as your companion in combat. Use the **Steel Defender** stat block as a base with the following modifications:

- **Hit Points:** Equal to 5 + five times your Overseer level.
- **Scaling:** Your Constructed Ally gains additional features and upgrades as you level up.
- **Actions:** Takes actions based on your commands, expending Command Points.

---

#### **Command Points (1st Level)**

You have a pool of **Command Points** that you use to issue tactical commands to your units. This pool replenishes after a long rest.

- **Regeneration:** Restore 1d4 + Intelligence modifier Command Points during a short rest.
- **Threshold:** You cannot spend more than half your level in Command Points on a single ally's turn.

---

#### **Command Maneuvers (2nd Level)**

You develop specialized tactics to enhance your units. Choose two **Command Maneuvers** from the list below.

- **Shockwave (2 CP):** Your ally slams the ground, forcing creatures in a 10-foot radius to make a Strength saving throw (DC = 8 + proficiency bonus + Intelligence modifier) or be knocked prone.
- **Intercept (1 CP):** Your ally moves to intercept an attack targeting a creature within 10 feet of it.
- **Coordinated Strike (3 CP):** All Constructed Allies attack the same target. If at least two attacks hit, deal an additional 1d10 damage.
- **Deploy Barrier (3 CP):** Construct an energy barrier that provides half cover in a 10-foot radius for one round.

#### **Overseer Archetype (3rd Level)**

Choose one specialization for your Overseer. Examples:

- **Field Commander:** Focuses on battlefield control and advanced maneuvers.
  - **Tactical Mastery (3rd Level):** Gain +2 Command Points and increase your command range to 60 feet.
  - **Phalanx Formation (10th Level):** Allies within 10 feet gain +1 AC.

- **Mechanist:** Enhances allies with superior upgrades and experimental tech.
  - **Experimental Protocols (3rd Level):** Add a module to allies, like a flamethrower or grappling hook.
  - **Modular Constructs (10th Level):** Allies can swap upgrades during a short rest.

- **Dominion Controller:** Combines magic with constructs, granting spellcasting abilities.
  - **Construct Casting (6th Level):** Allies can channel your spell slots to cast cantrips or 1st-level spells.
  - **Arcane Overdrive (14th Level):** Allies gain resistance to magical damage and advantage on saving throws against spells.

---

#### **Efficient Directives (5th Level)**

You can issue commands more fluidly. You may use a bonus action instead of an action to issue a command.

---

#### **Unit Upgrades (6th Level)**

Your allies gain significant upgrades. Choose one upgrade per ally:

- **Flight Systems:** Gain a flying speed of 30 feet.
- **Heavy Armor Plating:** Increase AC by 2.
- **Pulse Cannon:** Gain a ranged attack (30/120 feet) dealing 2d8 force damage.

---

#### **Capstone: Command Perfection (20th Level)**

- **Unlimited Command:** Issue commands without expending Command Points for 1 minute (once per long rest).
- **Supreme Coordination:** When an ally scores a critical hit, all other allies gain advantage on their next attack.
