# Cantrip Blaster

> *Wondrous Item, [Rarity]*

**Description:**
The Cantrip Blaster is a unique magical device crafted by artificers and similar spellcasting classes. It resembles a finely crafted wand or staff, adorned with intricate engravings and a small chamber for the magical cantrips infused within. This device allows the wielder to unleash a variety of cantrips with a limited number of charges, making it a versatile tool for spellcasting. The design is sleek, with a comfortable grip, allowing for easy use in combat or other magical endeavors.

**How to Acquire:**
An artificer or similar magic-based class can craft this item through their knowledge of arcane mechanics.

---

## Quality Levels

### Lesser Quality

- **Charges:** 1d10 charges
- **Cantrip Infusion:** Up to five different cantrips can be infused at one time during crafting.
- **Rest Requirement:** The infuser is unable to cast or infuse the cantrip again until they complete a long rest.
- **Cantrip Effects:**

  | Cantrips | Effect          |
  |----------|-----------------|
  | 1        | 1d10 charges.   |
  | 2        | 2d5 charges.    |
  | 3        | 3d3 charges.    |
  | 4        | 4d2 charges.    |
  | 5        | 1 charge per cantrip. |

- **Bonuses:** The infused cantrip takes on no bonuses from the caster of the weapon. Each die specifies the amount of charges for each cantrip added (e.g., 2 cantrips mean 1d5 charges per cantrip).

---

### Average Quality

- **Charges:** 1d20 charges
- **Cantrip Infusion:** Up to five different cantrips can be infused at one time during crafting.
- **Rest Requirement:** The infuser is unable to cast or infuse the cantrip again until they complete a long rest.
- **Cantrip Effects:**

  | Cantrips | Effect          |
  |----------|-----------------|
  | 1        | 1d20 charges.   |
  | 2        | 2d10 charges.   |
  | 3        | 3d5 charges.    |
  | 4        | 4d3 charges.    |
  | 5        | 2 charges per cantrip. |

- **Bonuses:** The infused cantrip takes on the bonuses it would normally receive if the caster had the cantrip as a spell. Each die specifies the amount of charges for each cantrip added (e.g., 2 cantrips mean 1d10 charges per cantrip).

---

### Greater Quality

- **Charges:** 1d40 charges
- **Cantrip Infusion:** Up to five different cantrips can be infused at one time during crafting.
- **Rest Requirement:** The infuser is unable to cast or infuse the cantrip again until they complete a long rest.
- **Cantrip Effects:**

  | Cantrips | Effect          |
  |----------|-----------------|
  | 1        | 1d40 charges.   |
  | 2        | 2d20 charges.   |
  | 3        | 3d10 charges.   |
  | 4        | 4d5 charges.    |
  | 5        | 5 charges per cantrip. |

- **Bonuses:** The infused cantrip takes on the bonuses from both the caster and the infuser. If they are the same person, only one effect is active. Each die specifies the amount of charges for each cantrip added (e.g., 2 cantrips mean 1d20 charges per cantrip).

---

**Proficiency:** No
[No proficiency is required to use the Cantrip Blaster.]

**Attunement:** No
[Specify if attunement is required to unlock the item’s full abilities.]

**Notes:**
[Add any extra information regarding the Cantrip Blaster’s limitations, interactions with other abilities, or specific crafting requirements.]

**Source:** *Homebrew*

---

## Example Usage Scenario

A party's artificer crafts a Cantrip Blaster of greater quality, infusing it with two cantrips: *Fire Bolt* and *Mage Hand*. During an intense battle, the artificer unleashes a *Fire Bolt*, utilizing the 1d20 charges available. After several successful uses, they find themselves needing to rest before re-infusing the cantrips. Once rested, they can refill their Cantrip Blaster, ready to support their allies once more with a combination of utility and firepower.
