# **Spell Revolver**

> *Weapon, Rare*

- **Description**:  
  The Spell Revolver is a finely crafted firearm with arcane symbols etched along its barrel and chamber, allowing it to channel magic through specialized rounds. Created by an ancient mage-gunsmith, it blends powerful weaponry with spellcasting potential. This weapon is intended for spellcasters proficient with firearms, providing a unique way to cast spells at range.

- **Proficiency**: Yes  
  Requires proficiency with firearms or similar ranged weapons to use effectively.

- **Attack Type**: Ranged

- **Range**: 60/120 feet  
  Effective range of 60 feet, with a maximum range of 120 feet at disadvantage.

- **Damage**: 1d10 + Spell Effect  
  Deals 1d10 physical (piercing) damage. Additional magical effects apply when using magical rounds.

- **Damage Type**: Piercing (physical) + variable magical damage (depends on round type)

- **Weight**: 4 pounds

- **Cost**: Approx. 800 gp, with additional costs for specialized rounds

---

## **Properties**

1. **Rounds**  
   Three types of rounds are available, each offering distinct properties and costs:

   - **Standard Rounds**:  
     - Non-magical bullets, used primarily for casting known cantrips.
     - Cost: 5 sp for 50 bullets.

   - **Blanks**:  
     - Template bullets that allow the user to cast their own spells through the bullet.
     - **Usage**: Requires a spell slot to cast a spell through the Blank round.
     - Cost: 5 gp for 100 bullets.

   - **Imbued Rounds**:  
     - Rounds pre-imbued with specific spells (up to 3rd level).
     - Effect: Enables casting of pre-enchanted spells upon impact.
     - Cost per 50 bullets:
       - Cantrip (Level 0): 1 gp
       - Level 1 Spell: 5 gp
       - Level 2 Spell: 10 gp
       - Level 3 Spell: 20 gp

2. **Spellcasting Requirements**  
   When casting spells through the Spell Revolver, specific requirements must be met for certain spell components:

   - **Verbal Components**: Must be spoken as the trigger is pulled.
   - **Material Components**: Materials must either:
     - Be on the wielder,
     - Be within 5–10 feet of the target, or
     - Be imbued into the bullet.
   - **Focus**: The revolver functions as a magical focus.
     - *Divine Focus*: With proper rituals and markings, the revolver can also serve as a divine focus.
   - **Restrictions**:
     - **XP Cost**: Spells with an XP cost cannot be cast through the Spell Revolver.
     - **Concentration**: Concentration spells cannot be cast through this weapon.

3. **Special Casting Condition - One-Handed Casting (Somatic Components)**  
   When casting spells that require somatic components:
   - **Free Hand Requirement**: The caster must have one free hand to perform the somatic gesture.
   - **Disadvantage on Attack Rolls**: Attack rolls are made at disadvantage due to the need to both aim and perform somatic gestures.

4. **Attack and Spell Effect Details**  
   - **Attack Roll**: `1d20 + 2 + Spellcasting Modifier`
   - **Physical Damage**: `1d10`
   - **Magic Effect**: `1d10 + Spell Effect`, determined by the type of round used (Standard, Blank, or Imbued)

---

### **Attunement**: Yes

### **Notes**  

The Spell Revolver is designed for spellcasters who can proficiently handle firearms and arcane focus items. Its versatility allows for the casting of a wide array of spells, though it restricts concentration spells and those with an XP cost. This weapon is ideal for tactical spellcasters who prefer mid-to-long-range attacks, but managing ammunition types and spell components is key to its effective use.

### **Source**: *Homebrew*  

---

### Example Usage Scenario

In a critical moment of battle, a wizard proficient with firearms draws the Spell Revolver loaded with an Imbued Round containing *Magic Missile*. Firing at multiple opponents, the bullets split mid-flight, hitting different targets simultaneously. Later, the wizard uses a Blank round to cast *Ray of Frost*, slowing a charging enemy from a distance.
